import type { ExtendedSeries, SeriesProps } from './types';
import { ConfigBuilder } from './types';
export declare const POINT_SIZE_FACTOR = 2.5;
export declare class UPlotSeriesBuilder extends ConfigBuilder<SeriesProps, ExtendedSeries> {
    constructor(props: SeriesProps);
    private getLineColor;
    private buildLineConfig;
    private buildPathConfig;
    private resolvePointsShow;
    private shouldApplyIsolatedPointFilter;
    private buildPointsConfig;
    getConfig(): ExtendedSeries;
    merge(props: Partial<SeriesProps>): void;
}
export type { SeriesProps };
